 /** 合同台账，对公报销单、预付单、暂估单 合同号字段长度修改****/

  EXEC P_ALTERCOLUMN 'T_ER_CONTRACTBILL', 'FCONTRACTCODE', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';

  EXEC P_ALTERCOLUMN 'T_ER_CONTRACTBILL', 'FCONTRACTNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

  EXEC P_ALTERCOLUMN 'T_ER_PUBREIMCONTRACT', 'FCONTRACTCODE', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
  EXEC P_ALTERCOLUMN 'T_ER_PUBREIMCONTRACT', 'FCONTRACTNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

  EXEC P_ALTERCOLUMN 'T_ER_PREPAYCONTRACT', 'FCONTRACTCODE', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
  EXEC P_ALTERCOLUMN 'T_ER_PREPAYCONTRACT', 'FCONTRACTNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';

  EXEC P_ALTERCOLUMN 'T_ER_COSTESTIMATECONTRACT', 'FCONTRACTCODE', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
  EXEC P_ALTERCOLUMN 'T_ER_COSTESTIMATECONTRACT', 'FCONTRACTNAME', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';


 /** 合同台账， 费用明细分录 对公报销单、预付单、暂估单 合同号字段长度修改****/

  EXEC P_ALTERCOLUMN 'T_ER_PREPAYBILLENTRY', 'FENTRYCONTRACTNO', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
  EXEC P_ALTERCOLUMN 'T_ER_PREPAYBILLENTRY', 'FENTRYCONTRACTNAME', 'VARCHAR(500)', 'NULL', '0100', ''' ''';


 EXEC P_ALTERCOLUMN 'T_ER_PUBREIMEXPDET', 'FENTRYCONTRACTNO', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';
 EXEC P_ALTERCOLUMN 'T_ER_PUBREIMEXPDET', 'FENTRYCONTRACTNAME', 'NVARCHAR(500)', 'NULL', '0100', ''' ''';

 EXEC P_ALTERCOLUMN 'T_ER_PUBREIMWRIOFFDET', 'FLOANCONTRACTNO', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';


 EXEC P_ALTERCOLUMN 'T_ER_COSTESTIMATEENTRY', 'FENTRYCONTRACTNO', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';
 EXEC P_ALTERCOLUMN 'T_ER_COSTESTIMATEENTRY', 'FENTRYCONTRACTNAME', 'VARCHAR(500)', 'NOT NULL', '0100', ''' ''';


